View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18370Bug reportsOtherpublic2023-01-19 13:30
Reportergabrieljenik Assigned Toollehar  
PrioritynormalSeverityminor 
Status ready for mergeResolutionopen 
Summary18370: Password suggestions sometimes doens't match rules
Description

When you set a user's password, Lime suggests one for you. Sometimes the suggestion does not meet the requirements.

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)master
I will donate to the project if issue is resolved
Browser-
Database type & version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2023-01-16 17:46

manager   ~73478

Fixed issue
Added a few methods on test base class for enhancing the testing of plugins.
Added tests for this issue (generate random) as well as for checkValidity (issue 18542)

https://github.com/LimeSurvey/LimeSurvey/pull/2848

DenisChenu

DenisChenu

2023-01-17 10:02

developer   ~73483

Strange to add a global function just for Test.

And this function can easily broke other solution (date settings and password settings)

No way to do without this new function ?

gabrieljenik

gabrieljenik

2023-01-17 11:59

manager   ~73485

Strange to add a global function just for Test.

It is not just for test. Other use cases may appear.
What's wrong about it?

And this function can easily broke other solution (date settings and password settings)

How?

DenisChenu

DenisChenu

2023-01-17 12:10

developer   ~73486

What's wrong about it?

https://bugs.limesurvey.org/view.php?id=9056
https://bugs.limesurvey.org/view.php?id=18381

gabrieljenik

gabrieljenik

2023-01-17 14:26

manager   ~73487

Not sure what you mean by those bugs/enhancements.

This new method is just reusing public methods, so not sure how can this be a big problem.
Nevertheless, it is easier to remove them.

Issue History

Date Modified Username Field Change
2022-09-22 23:25 gabrieljenik New Issue
2022-09-22 23:26 gabrieljenik Project Development => Bug reports
2022-09-22 23:26 gabrieljenik Category Authentication => Other
2022-09-23 10:21 ollehar Priority none => normal
2022-09-23 10:21 ollehar Complete LimeSurvey version number (& build) => master
2022-09-23 10:21 ollehar Browser => +
2022-09-23 10:21 ollehar Database type & version => +
2022-09-23 10:21 ollehar Server OS (if known) => +
2022-09-23 10:21 ollehar Webserver software & version (if known) => +
2022-09-23 10:21 ollehar PHP Version => +
2022-09-23 10:21 ollehar Browser + => -
2022-09-23 10:21 ollehar Database type & version + => -
2022-09-23 10:21 ollehar Server OS (if known) + => -
2022-09-23 10:21 ollehar Webserver software & version (if known) + => -
2022-09-23 10:21 ollehar PHP Version + => -
2022-09-24 00:00 gabrieljenik Status new => acknowledged
2022-09-24 00:00 gabrieljenik Status acknowledged => confirmed
2022-12-19 17:19 gabrieljenik Relationship added related to 18542
2022-12-31 19:41 gabrieljenik Relationship deleted related to 18542
2023-01-04 22:22 gabrieljenik Assigned To => gabrieljenik
2023-01-04 22:22 gabrieljenik Status confirmed => assigned
2023-01-16 17:46 gabrieljenik Assigned To gabrieljenik => DenisChenu
2023-01-16 17:46 gabrieljenik Status assigned => ready for code review
2023-01-16 17:46 gabrieljenik Note Added: 73478
2023-01-16 17:46 gabrieljenik Bug heat 0 => 2
2023-01-17 10:02 DenisChenu Note Added: 73483
2023-01-17 10:02 DenisChenu Bug heat 2 => 4
2023-01-17 10:02 DenisChenu Status ready for code review => in code review
2023-01-17 11:59 gabrieljenik Note Added: 73485
2023-01-17 12:10 DenisChenu Note Added: 73486
2023-01-17 14:26 gabrieljenik Note Added: 73487
2023-01-18 14:16 DenisChenu Assigned To DenisChenu =>
2023-01-18 14:16 DenisChenu Status in code review => ready for testing
2023-01-19 13:30 gabrieljenik Assigned To => ollehar
2023-01-19 13:30 gabrieljenik Status ready for testing => ready for merge